from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComManage(UltmarcTable):
    """レイアウト区分007: COM_経営体"""
    manage_cd: str       # 経営体コード
    manage_name: str     # 経営体名
    maint_flag: str      # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.manage_cd = record[1]
        self.maint_flag = record[2]
        self.manage_name = record[5]
